Buckets
Create bucket
Creates a new object-store bucket in the specified project.
POST
/v1/bucketsCreates a new object-store bucket in the specified project.
AuthorizationBearer <token>
OAuth2 authentication
In: header
Scope: workspace:admin, offline_access
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/buckets" \ -H "Content-Type: application/json" \ -d '{ "projectId": "string" }'{ "data": { "id": "string", "type": "bucket", "url": "http://example.com", "name": "string", "providerName": "string", "status": "string", "createdAt": "2019-08-24T14:15:22Z", "project": { "id": "string", "url": "http://example.com", "name": "string" }, "branchId": "string" }}